﻿*{ 
  margin: 0;
  padding: 0;
  border: 0;

 }
body {

    font-size: 16px;
}


/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select
{
    max-width: 250px;
}

.text-center {
    text-align: center;
}

.text-left {
    text-align: left;
}
.sub-question-related {
    display: none;
}

.tick-img {
    width: 20px;
    height: 20px;
    position: absolute;
    -moz-transform: translate(-15px, 0px);
    -webkit-transform: translate(-15px, 0px);
    -o-transform: translate(-15px, 0px);
    -ms-transform: translate(-15px, 0px);
    transform: translate(-15px, 0px);
    z-index: 2;
}

.rate-img {
    -webkit-transition: width 0.5s, height 0.5s, -webkit-transform 0.5s, top 0.5s;
    transition: width 0.5s, height 0.5s, transform 0.5s, top 0.5s;

    width: 50px;
    height: 50px;
    position: absolute;
    -moz-transform: translate(3px, 0px);
    -webkit-transform: translate(3px, 0px);
    -o-transform: translate(3px, 0px);
    -ms-transform: translate(3px, 0px);
    transform: translate(3px, 0px);
    top: 3px;
    z-index: 1;
}form-control text-box danhgia-other
.rate-img:hover {
    transition-duration: 0.5s;
    width: 75px;
    height: 75px;
    position: absolute;
    top: -7.5px;
    z-index: 1;
}
.tongdanhgia {
    position: relative;
    top: 115px;
}
.rate-img:hover + .rate-border {
    transition-duration: 0.5s;
    width: 81px;
    height: 81px;
    position: relative; 
    -moz-transform: translate(0px, -10.5px);
    -webkit-transform: translate(0px, -10.5px);
    -o-transform: translate(0px, -10.5px);
    -ms-transform: translate(0px, -10.5px);
    transform: translate(0px, -10.5px);
}

.rate-border {
    -webkit-transition: width 0.5s, height 0.5s, -webkit-transform 0.5s, top 0.5s;
    transition: width 0.5s, height 0.5s, transform 0.5s, top 0.5s;
    width: 56px;
    height: 56px;
    position: relative;
}

.rate-items {
    display: flex;
    justify-content: center;
}

.margin-right {
    margin-right: 16px;    
}

.margin-right-2 {
    margin-right: 16px; 
    margin-left: 16px;   
}

.margin-right-small {
    margin-right: 5px;    
}

.margin-custom {
    margin: 16px;    
}

.title-phu{
    display: flex; 
    justify-content: space-between;
    font-weight:100; 
}
.title-phu label {
  font-weight: 100;
  opacity: 0.8;
}
@media(min-width: 1080px) {
    .margin-custom {
        margin-left: 16px;
        margin-top: 16px;
        margin-bottom: 16px;
        margin-right: 0px!important;
    }
}

.margin-left {
    margin-left: 16px;
}

.margin-left-right-auto {
    margin-left: auto;
    margin-right: auto;
}

.margin-left-right-small {
    margin-left: 5px;
    margin-right: 5px;
}

.margin-left-right {
    margin-left: 16px;
    margin-right: 16px;
}

.margin-left-right-2 {
    margin-left: 32px;
    margin-right: 32px;
}

.margin-left-right-3 {
    margin-left: 48px;
    margin-right: 48px;
}

.margin-around {
    margin: 16px;
}

.margin-around-small {
    margin: 8px;
}

.margin-right-small {
    margin-right: 5px!important;
}

.margin-top-bottom-small {
    margin-top: 5px;
    margin-bottom: 5px;
}

.margin-top-bottom {
    margin-top: 16px;
    margin-bottom: 16px;
}

.margin-top-bottom-2 {
    margin-top: 32px;
    margin-bottom: 32px;
}

.margin-top-bottom-3 {
    margin-top: 36px;
    margin-bottom: 32px;
}

.margin-top-small {
    margin-top: 5px;
}

.margin-top {
    margin-top: 25px;
    margin-bottom: 25px;
}

.margin-top-2 {
    margin-top: 32px;
}

.margin-top-3 {
    margin-top: 48px;
}

.margin-bottom-small {
    margin-bottom: 8px;
}

.margin-bottom {
    margin-bottom: 16px;
}

.margin-bottom-2 {
    margin-bottom: 32px;
}

.form-background {
    background-image: url(background-form.png);
    background-position: center;
    background-size: cover;
}

.form-border-radius {
    -webkit-border-radius: 25px;
    border-radius: 25px;
}

.form-border {
    border: 4px solid white;
}

.form-shadow {
    -webkit-box-shadow: 0px 0px 5px 2px #79EBFF; 
    box-shadow: 0px 0px 5px 2px #79EBFF;
}

/*.padding-around {
    padding: 32px;
}*/

.padding-around-2 {
    padding: 16px 32px;
}

.padding-left-right {
    padding-left: 32px;
    padding-right: 32px;
}

.padding-left {
    padding-left: 32px;
}

.padding-right {
    padding-right: 32px;
}

.form-center {
    margin: 0;
    position: absolute;
    top: 50%;
    left: 50%;
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}

.form-center-2 {
    margin-left: auto;
    margin-right: auto;
    display: inline-block;
    margin-top: 48px;
}

.submit-background {
    background-color: #1C86EE;
}

.submit-background:hover {
    background-color: #63B8FF;
}


.submit-text {
    font-size: 16px;
    color: white;
    font-weight: bold;
}

.submit-text:hover {
    font-size: 16px;
    color: white;
    font-weight: bold;
}

.page-background {
    background-color: red;
}

.full-width {
    width: 100%;
}

.full-max-width {
    max-width: 100%;
}

.full-size {
    width: 100vw;
    height: 100vh;
}

@media(min-width: 1080px) {
    .full-size {
        width: 100vw;
        height: 100vh;
    }
}

/*table screen*/
/*Tablet ngang*/
@media screen and (max-width: 2000px) {
    .full-size {
    }
}

/*Tablet doc*/
@media screen and (max-width: 1200px) {
    .full-size {
    }
}
/*table screen*/

.text-header-2 {
    font-size: 16px;
    color: #168dcb;
}

#icon-1-1 {
    
}

#background-1-1 {
    visibility: hidden;
}

#tick-1-1 {
    visibility: hidden;
}


#icon-1-2 {
    
}

#background-1-2 {
    visibility: hidden;
}

#tick-1-2 {
    visibility: hidden;
}

#icon-1-3 {
    
}

#background-1-3 {
    visibility: hidden;
}

#tick-1-3 {
    visibility: hidden;
}

#icon-1-4 {
    
}

#background-1-4 {
    visibility: hidden;
}

#tick-1-4 {
    visibility: hidden;
}

#icon-1-5 {
    
}

#background-1-5 {
    visibility: hidden;
}

#tick-1-5 {
    visibility: hidden;
}


#icon-2-1 {
    
}

#background-2-1 {
    visibility: hidden;
}

#tick-2-1 {
    visibility: hidden;
}

#icon-2-2 {
    
}

#background-2-2 {
    visibility: hidden;
}

#tick-2-2 {
    visibility: hidden;
}

#icon-2-3 {
    
}

#background-2-3 {
    visibility: hidden;
}

#tick-2-3 {
    visibility: hidden;
}

#icon-2-4 {
    
}

#background-2-4 {
    visibility: hidden;
}

#tick-2-4 {
    visibility: hidden;
}

#icon-2-5 {
    
}

#background-2-5 {
    visibility: hidden;
}

#tick-2-5 {
    visibility: hidden;
}

#icon-3-1 {
    
}

#background-3-1 {
    visibility: hidden;
}

#tick-3-1 {
    visibility: hidden;
}

#icon-3-2 {
    
}

#background-3-2 {
    visibility: hidden;
}

#tick-3-2 {
    visibility: hidden;
}

#icon-3-3 {
    
}

#background-3-3 {
    visibility: hidden;
}

#tick-3-3 {
    visibility: hidden;
}

#icon-3-4 {
    
}

#background-3-4 {
    visibility: hidden;
}

#tick-3-4 {
    visibility: hidden;
}

#icon-3-5 {
    
}

#background-3-5 {
    visibility: hidden;
}

#tick-3-5 {
    visibility: hidden;
}
#myBtn2 {
    padding: 18px;
    border-radius: 8px;
    background-color: #14dbed;
    box-shadow: 2px 2px 3px 0px rgba(0,0,0,0.25);
}
.danhgia-title {
    font-size: 16px;
    font-weight: bold;
}

.danhgia-choice {
    font-weight: normal;
    display: contents;
}
/* Trung add styles.css thêm ngôi sao */
        .rating-container {
            display: grid;
            grid-template-columns: auto 1fr;
            align-items: center;
            margin-bottom: 10px; /* Khoảng cách giữa các dòng */
            padding-left: 20px; /* Thụt vào cách lề trái 1 đoạn */
        }
        .star {
            color: gold;
            font-size: 1.8em; /* Kích thước của ngôi sao */
            margin-right: 10px; /* Khoảng cách giữa ngôi sao và văn bản */
            width: 10px; /* Đảm bảo các ngôi sao nằm trong một cột cố định */
            text-align: center; /* Căn giữa các ngôi sao */
            line-height: 1; /* Đảm bảo dòng cao của ngôi sao là 1 để căn chỉnh chính xác */
        }

        .star-danhgiaquay {
            color: gold;
            font-size: 4.2em; /* Kích thước của ngôi sao */
            margin-right: 10px; /* Khoảng cách giữa ngôi sao và văn bản */
            width: 5px; /* Đảm bảo các ngôi sao nằm trong một cột cố định */
            text-align: center; /* Căn giữa các ngôi sao */
            line-height: 1; /* Đảm bảo dòng cao của ngôi sao là 1 để căn chỉnh chính xác */
        }
        .description {
            text-align: left; /* Căn trái văn bản */
            font-weight: normal; /* Chữ thường, không in đậm */
            padding-left: 110px;
        }
.custom-input {
        border: 1px solid #ccc;
        padding: 8px;
        border-radius: 4px;
        width: 100%;
        box-sizing: border-box;
    }
.star-rating {
    font-size: 0; /* Đặt font-size về 0 để loại bỏ khoảng trắng giữa các ngôi sao */
    text-align: center; /* Căn giữa các ngôi sao trên trục ngang */
    display:block;
}

.star-rating > input {
    display: none; /* Ẩn input radio mặc định */
}

.star-rating > label {
    font-size: 40px; /* Kích thước của ngôi sao */
    display: inline-block;
    cursor: pointer;
    color: #ccc; /* Màu mặc định của ngôi sao */
    margin-right: 20px; /* Khoảng cách giữa các ngôi sao */
}

.star-rating > label:before {
    content: "\2605"; /* Unicode cho ngôi sao đầy */
}

/* Đảo ngược chiều hiển thị của ngôi sao */
.star-rating {
    direction: rtl;
}

.star-rating > label {
    transform: scaleX(-1);
    display: inline-block; /* Chuyển sang hiển thị inline-block để căn giữa */
}

.star-rating > input:checked ~ label:before,
.star-rating > label:hover:before {
    color: #ffc700; /* Màu khi ngôi sao được chọn hoặc di chuột qua */
}



.danhgiakhachhang-form {
    /*border: 1px solid #cccccc;*/
    border-top: 5px solid #62a7e1;
    -webkit-border-radius: 16px;
    border-radius: 10px;
    position: relative;
    margin-bottom: 16px;
    background-color: white;
    -webkit-box-shadow: 1px 1px 5px 0px rgba(0,0,0,0.2); 
    box-shadow: 1px 1px 5px 0px rgba(0,0,0,0.2);
}

.absolute-left-50 {
    position: absolute;
    top: -18px;
    left: 50%;
}

.danhgiakhachhang-header {
    position: absolute;    
    font-size: 22px;
    left: -20px;
    width: 30px;
    height: 30px;
    background-color: brown;
    text-align: center;
    color: white;danhgiaquay-background
    font-weight: bold;
    border-radius: 50%;    
}
.no-padding-left {
    padding-left:110px;
}
.col-md-6.no-padding-right {
    padding-right:110px;
}
.danhgia-other {
    display: none;
}
.cauhoiphu {
    display: none;
}
.danhgia-ykienchp {
    display: none;
}

.camon-background {
    width: 100%;
    height: 100%;
}

.camon-form {
    background-color: white;
    padding: 32px 16px;
    text-align: center;
    -webkit-border-radius: 15px;
    border-radius: 15px;    
    border: 5px solid forestgreen;
}

.danhgia-form {
    background-color: white;
    padding: 32px 16px;
    text-align: center;
    -webkit-border-radius: 15px;
    border-radius: 15px;    
    -webkit-box-shadow: 3px 3px 3px 0px rgba(0,0,0,0.15); 
    box-shadow: 3px 3px 3px 0px rgba(0,0,0,0.15);
}

.dangnhap-form {
    background-color: white;
    padding: 32px;
    -webkit-border-radius: 15px;
    border-radius: 15px;    
    -webkit-box-shadow: 3px 3px 3px 0px rgba(0,0,0,0.15); 
    box-shadow: 3px 3px 3px 0px rgba(0,0,0,0.15);
}

.camon-header {
    font-size: 25px;
    display: inline-block;
    font-weight: bold;
}

.camon-center {
    min-width: 1024px;
    width: 60%;
    
    position: absolute;
    top: 50%;
    left: 50%;
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    text-align: center;
}

.camon-center-2 {
    min-width: 1024px;
    width: 60%;
    
    position: absolute;
    top: 50%;
    left: 50%;
    -ms-transform: translate(-50%, -60%);
    transform: translate(-50%, -65%);
    text-align: center;
}

.background-center {    
    position: absolute;
    top: 50%;
    left: 50%;
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    text-align: center;
}

.camon-img-2 img {
    width: 300px;
}

.camon-img-2 {
    position: absolute;
    z-index: -1;     
    top: -50px;  
}

.danhgiaquay-background-img img {
    width: 60%;
}

.camon-img {
    -moz-transform: translate(0px, 25px);
    -webkit-transform: translate(0px, 25px);
    -o-transform: translate(0px, 25px);
    -ms-transform: translate(0px, 25px);
    transform: translate(0px, 25px);
}

.camon-img img {
    width: 50px;
    height: 50px;
}


.camon-description {
    font-size: 20px;
    font-weight: normal;
}

@media(min-width: 768px) {
    
    .camon-description {
        font-size: 24px;
        font-weight: normal;
    }

    .camon-img {
        -moz-transform: translate(0px, 37.5px);
        -webkit-transform: translate(0px, 37.5px);
        -o-transform: translate(0px, 37.5px);
        -ms-transform: translate(0px, 37.5px);
        transform: translate(0px, 37.5px);
    }

    .camon-img img {
        width: 75px;
        height: 75px;
    }

    .camon-img-2 {
        position: absolute;
        z-index: -1;     
        top: -120px;  
    }
    
    .camon-img-2 img {
        width: 500px;
    }

    .camon-center {
        min-width: 1024px;
        width: 60%;        
        position: absolute;
        top: 50%;left: 50%;
        -ms-transform: translate(-50%, -50%);
        transform: translate(-50%, -50%);
        text-align: center;
    }

    .camon-center-2 {
        min-width: 1024px;
        width: 60%;        
        position: absolute;
        top: 50%;left: 50%;
        -ms-transform: translate(-50%, -60%);
        transform: translate(-50%, -65%);
        text-align: center;
    }

    .camon-form {        
        background-color: white;
        padding: 64px 32px;
        text-align: center;
        -webkit-border-radius: 15px;
        border-radius: 15px;    
        border: 5px solid forestgreen;
    }

    .danhgia-form {        
        background-color: white;
        padding: 64px 32px 32px 32px;
        text-align: center;
        -webkit-border-radius: 15px;
        border-radius: 15px;    
        -webkit-box-shadow: 3px 3px 3px 0px rgba(0,0,0,0.15); 
        box-shadow: 3px 3px 3px 0px rgba(0,0,0,0.15);
    }

    .camon-header {
        font-size: 28px;
        display: inline-block;
        font-weight: bold;
    }
}

.display-inline-block {
    display: inline-block;
}

.display-block {
    display: block;
}

.danhgiaquay-background {
    display: flex;
    align-items: center;
    justify-content:space-around;
    height: 40%;
}
.danhgiaquay-background :hover {
    cursor: pointer;
}


.no-padding {
    padding: 0;
}
.display-banner {
    position: relative;
    z-index:1;
    
    
}
.display-banner h1 {
    position: absolute;
    top: 0%;
    left: 50%;
    transform: translate(-50%,-50%);
    margin-top: 172px;
    /*color: #0012ff;*/
    font-weight: bold;
    width: 1657px;
    /*font-style:italic;*/

    font-size: 65px;
    text-align:center;
    color: #FF4E4E; 
    font-family: 'Arial', sans-serif;
    /*box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    border-radius: 10px;
    background-color: #f0f8ff;*/
    padding: 10px;
}
@media(min-width: 1080px) {
    .no-padding-right {
        padding-right: 0;
    }
}

.no-margin {
    margin: 0;
}

.danhgiaquay-img {    
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: white;
    padding: 64px 16px;
    border-radius: 50px;
    -webkit-box-shadow: 2px 2px 3px 0px rgba(0,0,0,0.25); 
    box-shadow: 2px 2px 3px 0px rgba(0,0,0,0.25);
    width:900px;
}

.danhgiaquay-img div img {
    width: 200px;
    height: 200px;   
}

.danhgiaquay-container-1 {
    padding-left: 50px; /*64*/
    padding-right: 25px; /*32*/
    margin-top: 220px;
}

.danhgiaquay-img label.rating:hover {
  /*filter: grayscale(0.8);
  transform: scale(1.1);
  transition: 100ms ease;*/

  filter: grayscale(1); /* Make the stars grayscale by default */
  opacity: 0.6; /* Set a lower opacity by default */
  transition: transform 2.3s, filter 2.3s, opacity 2.3s; /* Add smooth transitions */
}

.danhgiaquay-img input.rating:checked + label.rating {
  /*filter: grayscale(0);
  opacity: 1;
  transform: scale(1.1);*/
  filter: grayscale(0);
  opacity: 1;
  color: gold; /* Change color to yellow on hover */
  transform: scale(1.1);
}

.danhgiaquay-container-2 {
    padding-left: 32px;
    padding-right: 64px;
    margin-top: 220px;
}
.border-left {
    border-left: 2px solid #888888;
}

.border-right {
    border-right: 2px solid #888888;
}

.border-left-right {
    border: 2px 0px solid #888888;
}

.danhqiaquay-title {
    font-size: 25px;
    /*font-weight: bold;*/
}

.danhgiaquay-choice {
    text-align: left;
    background-color: white;
    font-size: 20px;
    border: 1px solid #cccccc;
    -webkit-border-radius: 25px;
    border-radius: 25px;
    padding: 10px 15px;
    float: left;
    outline:none;
    width: 100%;
    margin: 10px 0px;
}

.active {
    text-align: left;
    background-color: #e87979;
    color: white;
    font-size: 20px;
    border: 1px solid #e87979;
    -webkit-border-radius: 25px;
    border-radius: 25px;
    padding: 10px 15px;
    float: left;
    outline:none;
    width: 100%;
    margin: 10px 0px;
}

.danhgiaquay-form {    
    background-color: #f2f9ff;
    padding: 16px;
    border: 2px solid #62a7e1;
    border-radius: 15px;
    
    display: inline-block;
}

.danhgiaquay-form-2 {    
    background-color: #f2f9ff;
    padding: 16px;
    border: 2px solid darkcyan;
    border-radius: 15px;
    
    display: inline-block;
}


.clear-both {
    clear: both;
}

.danhgiaquay-description {
    font-size: 20px;
}

.dangnhap-description {
    font-size: 16px;
}

.danhgiaquay-input {
    border: 1px solid #888888;
    width: 100%;
    font-size: 16px;
}

.danhgiaquay-submit {
    width: 100%;
    max-width: 100%;
    padding: 10px 15px;
    background: darkcyan;
}

.danhgiaquay-submit:hover {
    width: 100%;
    max-width: 100%;
    padding: 10px 15px;
    background: #02bcbc;
}

.text-wrong {
    color: orangered;
}

#danhgiaquay-warning {
    display: none;
}

.danhgiaquay-width {
    width: 500px;
}

.display-text {
    font-size: 16px;
    font-weight: bold;
}

.display-logout {
    font-size: 14px;
    color: #168dcb;
    text-align: right;
    cursor: pointer;
    text-decoration: underline
}

.display-description {
    font-size: 14px;
    font-weight: normal;
}

#div-dangnhap {
    display: none;
}

.danhgia-body {    
    padding-top: 10px;
    background-color: #f2f9ff;
    padding-bottom: 16px;   
    -webkit-border-radius: 10px;
    border-radius: 10px;    
    z-index: 2;
    position: relative;
    -webkit-box-shadow: 2px 2px 2px 0px rgba(0,0,0,0.15); 
    box-shadow: 2px 2px 2px 0px rgba(0,0,0,0.15);
    margin-bottom: 32px;
}

.danhgia-header {    
    padding-top: 10px;
    background-color: #f2f9ff;
    padding-bottom: 16px;   
    -webkit-border-radius: 10px;
    border-radius: 10px;    
    z-index: 2;
    position: relative;
    -webkit-box-shadow: 2px 2px 2px 0px rgba(0,0,0,0.15); 
    box-shadow: 2px 2px 2px 0px rgba(0,0,0,0.15);
    margin-bottom: 32px;
}

.border-top {
    border-top: 10px solid brown;
}

.danhgia-background-background-img {
    display: none;
}

.danhgia-background-background-img-2 {
    display: none;
}

.danhgia-background-background-img img {
    width: 100px;    
}

.danhgia-background-background-img-2 img {
    width: 150px;    
}

.flex-center {
    display: block;
}

.text-header-1 {
    font-size: 20px;
    /*color: #168dcb;*/
    text-align: left;
    text-align:justify;
}

.display-nhanvien {
    position: absolute;
    z-index: 10;
    top: 0;
    right: 0;
    margin: 10px;
    background-color: #2a6da5;
    padding: 7px 10px;    
    border-radius: 10px;
}
.detail-container {
    position: absolute;
    top: 0;
    right: 0;
    padding: 15px 248px;
}
.display-nhanvien div {
    color: white;
   
}

.display-nhanvien div div {
    color: white;    
}

.danhgia-background-background-ThongKe {
    padding-top: 48px;
    padding-bottom: 32px;
    /*background-image: url(background-trungan.png);*/
    background-size: auto;    
    background-repeat: repeat;
}

.danhgia-background-background {
    padding-top: 48px;
    padding-bottom: 32px;
    /*background-image: url(background-trungan.png);*/
    /*background-size: auto;    
    background-repeat: repeat;*/

    background-color: #CAF6FF; 
    background-image: linear-gradient(to bottom, rgba(173, 216, 230, 0.8), rgba(173, 216, 230, 0.2));
       
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); 
    overflow: hidden; 
    position: relative; 
    }
    /* Tạo hiệu ứng nền */
    .danhgia-background-background::before {
        content: '';
        position: absolute;
        top: -50%;
        left: -50%;
        width: 200%;
        height: 200%;
        background: radial-gradient(circle, rgba(255,255,255,0) 60%, rgba(255,255,255,0.8) 80%); /* Gradient nền */
        transform: rotate(-30deg); /* Xoay gradient */
    }

    /* Hiệu ứng cho phần nền khi hover */
    .danhgia-background-background:hover::before {
        animation: shimmer 10s infinite linear; /* Chạy shimmer animation */
    }

    @keyframes shimmer {
        0% {
            transform: translateX(-150%) rotate(-30deg); /* Di chuyển gradient sang trái */
        }
        100% {
            transform: translateX(150%) rotate(-30deg); /* Di chuyển gradient sang phải */
        }

}




@media(min-width: 1080px) {
    .danhgia-background-background {
        padding-top: 32px;
        padding-bottom: 32px;
        /*background-image: url(background-trungan.png);*/
        background-size: auto;
        /*background-repeat: repeat;*/
        background-color: #CAF6FF;
        background-image: linear-gradient(to bottom, rgba(173, 216, 230, 0.8), rgba(173, 216, 230, 0.2));
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
        overflow: hidden;
        position: relative;
        border-radius: 15px;
    }

        /* Tạo hiệu ứng nền */
        .danhgia-background-background::before {
            content: '';
            position: absolute;
            top: -50%;
            left: -50%;
            width: 200%;
            height: 200%;
            background: radial-gradient(circle, rgba(255,255,255,0) 60%, rgba(255,255,255,0.8) 80%); /* Gradient nền */
            transform: rotate(-30deg); /* Xoay gradient */
        }

        /* Hiệu ứng cho phần nền khi hover */
        .danhgia-background-background:hover::before {
            animation: shimmer 10s infinite linear; /* Chạy shimmer animation */
        }

    @keyframes shimmer {
        0% {
            transform: translateX(-150%) rotate(-30deg); /* Di chuyển gradient sang trái */
        }

        100% {
            transform: translateX(150%) rotate(-30deg); /* Di chuyển gradient sang phải */
        }
    }

    .title-h1 {
        text-align: center;
        padding-left: 20px;
        padding-right: 20px;
        color: #007BFF;
        display: inline-block;
        font-weight: bold;
        line-height: 1.5;
        text-align: center;
        margin: 4px;
        font-size: 40px;
    }

    .title-phu {
        font-size: 15px;
        padding-right: 1em;
        opacity: 0.8;
    }

    .rating-wrapper label.rating:hover {
        /*filter: grayscale(0.8);
  transform: scale(1.1);
  transition: 100ms ease;*/
        filter: grayscale(1); /* Make the stars grayscale by default */
        opacity: 0.6; /* Set a lower opacity by default */
        transition: transform 0.7s, filter 0.7s, opacity 0.7s; /* Add smooth transitions */
    }

    .rating-wrapper input.rating:checked + label.rating {
        /*filter: grayscale(0);
  opacity: 1;
  transform: scale(1.1);*/
        filter: grayscale(0);
        opacity: 1;
        color: gold; /* Change color to yellow on hover */
        transform: scale(1.1);
    }
    }
    @media(min-width: 768px) {

        .display-nhanvien {
            position: absolute;
            z-index: 10;
            top: 0;
            right: 0;
            margin: 16px 32px;
            padding: 8px 16px;
        }

        .text-header-1 {
            font-size: 16px;
            /*color: #168dcb;*/
            text-align: left;
        }

        .flex-center {
            display: flex;
            justify-content: center;
        }

        .danhgia-background-background-img {
            display: block;
            position: absolute;
            z-index: 1;
            right: 0;
            top: 50px;
            -moz-transform: translate(75px, 0px);
            -webkit-transform: translate(75px, 0px);
            -o-transform: translate(75px, 0px);
            -ms-transform: translate(75px, 0px);
            transform: translate(75px, 0px);
        }

        .danhgia-background-background-img-2 {
            display: block;
            position: absolute;
            z-index: 1;
            left: 0;
            -moz-transform: translate(-100px, 0px);
            -webkit-transform: translate(-100px, 0px);
            -o-transform: translate(-100px, 0px);
            -ms-transform: translate(-100px, 0px);
            transform: translate(-100px, 0px);
        }
    }

    .logo-header {
        width: 150px;
    }

    .header-icon {
        height: 40px;
        margin-left: auto;
        margin-right: auto;
    }

    .input-container {
        display: flex;
        align-items: center;
        padding: 16px 16px 16px 5px;
        border-radius: 10px;
        border: 2px solid #62a7e1;
    }

    .border-left-blue {
        border-left: 2px solid #62a7e1;
    }

    .danhgiaquay-container {
        border-radius: 50px;
    }

    .thongtindanhgia-container {
        position: absolute;
        top: 0;
        left: 0;
        margin: 16px 32px;
        background-color: #2a6da5;
        border-radius: 10px;
    }

    .thongkedanhgia-container {
        float: left;
        padding: 16px;
    }

    .lichsudanhgia-container {
        float: left;
        padding: 16px;
    }

    .thongtindanhgia-title {
        color: white;
        font-weight: bold;
    }

    .lichsudanhgia-img {
        width: 20px;
    }

    .lichsudanhgia-item {
        color: white;
    }

    .float-left {
        float: left;
    }

    .thongtindanhgia-item {
        display: flex;
        align-items: center;
    }

    .fullscreen-img {
        width: 50px;
        margin-right: 16px;
    }

    .pgd-container {
        background-color: white;
        -webkit-border-radius: 25px;
        border-radius: 25px;
        -webkit-box-shadow: 3px 3px 3px 0px rgba(0,0,0,0.25);
        box-shadow: 3px 3px 3px 0px rgba(0,0,0,0.25);
        padding: 32px 16px;
    }

    .modal {
        display: none;
        position: fixed;
        z-index: 2;
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;
        overflow: auto;
        background-color: rgb(0,0,0);
        background-color: rgba(0,0,0,0.4);
    }

    #myBtn {
        padding: 18px;
        border-radius: 8px;
        background-color: #14dbed;
        box-shadow: 2px 2px 3px 0px rgba(0,0,0,0.25);
    }

        #myBtn:hover,
        #myBtn:focus {
            cursor: pointer;
            opacity: 0.5;
        }

    #btn-secondary {
        float: right;
        padding: 21px;
        border-radius: 67px;
        background-color: #14dbed;
        width: 155px;
        box-shadow: 2px 2px 3px 0px rgba(0,0,0,0.25);
    }

        #btn-secondary:hover,
        #btn-secondary:focus {
            cursor: pointer;
            opacity: 0.5;
        }

    .modal-content {
        background-color: #fefefe;
        margin: 15% auto;
        padding: 73px;
        border: 1px solid #888;
        width: 60%;
        border-radius: 40px;
    }

    .modal-chart {
        bottom: 210px;
        left: 693px;
    }

    .modal-chart-body {
        height: 205px;
    }

    /* The Close Button */
    .close {
        color: #aaa;
        float: right;
        font-size: 28px;
        font-weight: bold;
    }

        .close:hover,
        .close:focus {
            color: black;
            text-decoration: none;
            cursor: pointer;
        }

    @media(min-width: 1080px) {
        .pgd-container {
            background-color: white;
            -webkit-border-radius: 25px;
            border-radius: 25px;
            -webkit-box-shadow: 3px 3px 3px 0px rgba(0,0,0,0.25);
            box-shadow: 3px 3px 3px 0px rgba(0,0,0,0.25);
            padding: 16px;
        }

        .pgd-container {
            background-color: white;
            -webkit-border-radius: 25px;
            border-radius: 25px;
            -webkit-box-shadow: 3px 3px 3px 0px rgba(0,0,0,0.25);
            box-shadow: 3px 3px 3px 0px rgba(0,0,0,0.25);
            padding: 32px;
        }
    }

    .pgd-header {
        font-size: 19px;
        font-weight: bold;
    }

    .pgd-content {
        font-size: 16px;
    }

    .soluong-container {
        -webkit-border-radius: 10px;
        border-radius: 10px;
        padding: 10px;
        color: white;
        margin-top: 16px;
        margin-bottom: 16px;
    }

    @media(min-width: 1080px) {
        .soluong-container {
            -webkit-border-radius: 10px;
            border-radius: 10px;
            padding: 10px;
            color: white;
            margin-top: 0px;
            margin-bottom: 0px;
        }
    }


    .rathailong-container {
        background-color: rgba(117, 214, 161, 1);
    }

    .hailong-container {
        background-color: rgba(126, 227, 219, 1);
    }

    .binhthuong-container {
        background-color: rgba(255, 202, 0, 1);
    }

    .khonghailong-container {
        background-color: rgba(253, 171, 36, 1);
    }

    .ratkhonghailong-container {
        background-color: rgba(254, 121, 122, 1);
    }

    .pgd-btn {
        background-color: #30a2bf;
        padding: 8px 16px;
        color: white;
        font-weight: bold;
        width: 100%;
        max-width: unset;
    }

        .pgd-btn:hover {
            background-color: #2888a0;
            padding: 8px 16px;
            color: white;
            font-weight: bold;
            width: 100%;
            max-width: unset;
        }

    .no-overflow {
        overflow: hidden;
    }

    .rating-wrapper {
        display: none;
    }

    @media(max-width:1630px) {
        .danhgiaquay-background {
            display: none;
        }

        .rating-wrapper {
            display: grid;
            max-width: 900px;
            margin: 80px auto;
            background: #fff;
            padding: 4em;
            border-radius: 50px;
            margin-top: 0px;
            box-shadow: 0px 5px 15px rgba(0, 0, 0, 0.1);
        }

        .tongdanhgia {
            position: relative;
            top: 540px;
            font-size: 60px;
        }

        .rating-wrapper .rating-label {
            font-weight: 700;
            display: block;
        }

        .col-md-4 {
            width: 100%;
        }

        .col-md-6 {
            width: 100%;
        }

        .no-padding-left {
            padding-left: 19px;
        }

        .col-md-6.no-padding-right {
            padding-right: 19px;
        }

        .pgd-btn {
            background-color: #30a2bf;
            padding: 33px 16px;
            color: white;
            font-weight: bold;
            width: 100%;
            max-width: unset;
        }

        .rating-wrapper .ratingItemList {
            max-width: 763px;
            display: inline-flex;
            justify-content: space-between;
            padding: 3em 0;
            margin: auto;
        }

        .rating-wrapper img {
            width: 121px;
            margin-right: 21px;
        }

        .rating-wrapper h6 {
            font-size: 25px;
        }

        .rating-wrapper input.rating {
            display: none;
        }

        .rating-wrapper label.rating {
            padding: 5px 10px;
            font-size: 100px;
            cursor: pointer;
        }

            .rating-wrapper label.rating:hover {
                /*filter: grayscale(0.8);
  transform: scale(1.1);
  transition: 100ms ease;*/
                filter: grayscale(1); /* Make the stars grayscale by default */
                opacity: 0.6; /* Set a lower opacity by default */
                transition: transform 0.7s, filter 0.7s, opacity 0.7s; /* Add smooth transitions */
            }

        .rating-wrapper input.rating:checked + label.rating {
            /*filter: grayscale(0);
  opacity: 1;
  transform: scale(1.1);*/
            filter: grayscale(0);
            opacity: 1;
            color: gold; /* Change color to yellow on hover */
            transform: scale(1.1);
        }

        .danhgia-background-background {
            /*padding-bottom: 1031px;*/
            /*padding-top: 75px;*/
            width: 100%;
        }

        .display-banner h1 {
            width: 904px;
            text-align: center;
            font-size: 40px;
            font-weight: bold;
            margin-top: -150px; /* 104 */
        }

        .title-h1 {
            text-align: center;
            padding-left: 0.5em;
            padding-right: 0.5em;
            color: #007BFF;
            display: inline-block;
            font-weight: bold;
            font-size: 35px;
            text-align: center;
            line-height: 1.5;
        }

        .title-phu {
            padding-left: 2em;
            font-size: 20px;
            padding-right: 4em;
            opacity: 0.8;
        }
    }

    /*tablet*/
    @media(min-width: 740px) and (max-width: 1023px) {
        .danhgiaquay-background {
            display: none;
        }

        .rating-wrapper {
            display: grid;
            max-width: 900px;
            margin: 2em;
            background: #fff;
            border-radius: 50px;
            box-shadow: 0px 5px 15px rgba(0, 0, 0, 0.1);
        }

        .margin-top-bottom {
            margin-top: 28px;
            margin-bottom: 8px;
        }

        .no-padding-left {
            padding-left: 20px;
        }

        .col-md-6.no-padding-right {
            padding-right: 20px;
        }

        .soluong-container {
            -webkit-border-radius: 10px;
            border-radius: 10px;
            padding: 37px;
            color: white;
            margin-top: 16px;
            margin-bottom: 16px;
            font-size: 40px;
        }

        .pgd-header {
            font-size: 32px;
            font-weight: bold;
        }

        .padding-around {
            padding: 136px;
        }

        /*.col-md-12 {
            display: flex;
            justify-content: center;
            align-items: center;

        }*/

        .pgd-btn {
            background-color: #30a2bf;
            padding: 29px 18px;
            color: white;
            font-weight: bold;
            width: 100%;
            max-width: unset;
            font-size: 27px;
        }

        .rating-wrapper .rating-label {
            text-align: center;
            font-weight: 700;
            display: block;
        }

        .rating-wrapper .ratingItemList {
            max-width: 763px;
            margin: 3em;
            display: flex;
            justify-content: space-between;
            padding: 1em 0;
        }

        .rating-wrapper img {
            width: 121px;
            margin-right: 21px;
        }

        .rating-wrapper h6 {
            font-size: 30px;
        }

        .rating-wrapper input.rating {
            display: none;
        }

        .rating-wrapper label.rating {
            padding: 10px 3px;
            font-size: 100px;
            cursor: pointer;
        }

        .tongdanhgia {
            position: relative;
            top: 368px;
            font-size: 40px;
        }

        .rating-wrapper label.rating:hover {
            /*filter: grayscale(0.8);
            transform: scale(1.1);
            transition: 100ms ease;*/
            filter: grayscale(1); /* Make the stars grayscale by default */
            opacity: 0.6; /* Set a lower opacity by default */
            transition: transform 0.7s, filter 0.7s, opacity 0.7s; /* Add smooth transitions */
        }

        .rating-wrapper input.rating:checked + label.rating {
            /*filter: grayscale(0);
            opacity: 1;
            transform: scale(1.1);*/
            filter: grayscale(0);
            opacity: 1;
            color: gold; /* Change color to yellow on hover */
            transform: scale(1.1);
        }

        .danhgia-background-background {
            padding-bottom: 1031px;
            padding-top: 100px;
            width: 100%;
        }

        .title-h1 {
            text-align: center;
            padding-left: 0.5em;
            padding-right: 0.5em;
            color: #007BFF;
            display: inline-block;
            font-weight: bold;
            font-size: 35px;
            text-align: center;
            line-height: 1.5;
        }

        .title-phu {
            padding-left: 2.5em;
            font-size: 20px;
            padding-right: 2em;
            opacity: 0.8;
        }

        .display-banner h1 {
            width: 904px;
            text-align: center;
            font-size: 39px;
            font-weight: bold;
            margin-top: -70px;
        }

        .detail-container {
            display: flex;
            justify-content: center;
            text-align: center;
            padding: 70px;
            margin-top: 820px;
            width: 100%;
        }

        #myBtn {
            font-size: 40px;
        }

        #myBtn2 {
            font-size: 40px;
            margin-left: 15px;
        }

        .display-nhanvien div {
            font-size: 35px;
        }

        .camon-center-2 {
            display: contents;
            min-width: 308px;
        }

        .display-inline-block {
            text-align: center;
        }

        .modal {
            z-index: 11;
        }

        .modal-content h1 {
            font-size: 50px;
            font-weight: bold;
        }

        .modal-content h4 {
            font-size: 40px;
        }

        .modal-chart {
            bottom: 24px;
            left: 1px;
        }

        .modal-chart-body {
            width: 287px;
        }

        #btn-secondary {
            width: 398px;
            font-size: 30px;
            float: none;
        }
    }


    @media(max-width: 320px) {
        .danhgia-background-background {
            width: 417px;
        }

        .camon-center-2 {
            min-width: 308px;
            display: contents;
        }

        .display-inline-block {
            text-align: center;
        }
    }


    /*Mobile*/
    @media(max-width: 739px) {
        .danhgiaquay-img {
            display: none;
        }
        .container {
            padding-left: 5px;
            padding-right: 5px;
            text-align: justify;
        }
        .padding-around-2 {
            padding: 5px 5px;
        }
        .danhgia-title {
            padding-left: 1px;
        }

        ul {
            list-style-type: none;
            margin: 0;
            padding: 0;
        }

        .camon-center {
            min-width: 385px;
        }

        .thongtindanhgia-container {
            margin-top: 72px;
        }

        .modal {
            z-index: 11;
        }
        .star-rating > label {
        font-size: 42px; /* Kích thước của ngôi sao */
        display: inline-block;
        cursor: pointer;
        color: #ccc; /* Màu mặc định của ngôi sao */
        margin-right: 15px; /* Khoảng cách giữa các ngôi sao */
        }
        .rating-wrapper {
            display: grid;
            max-width: 351px;
            margin: 80px auto;
            background: #fff;
            padding: 1em;
            border-radius: 50px;
            margin-top: 3px;
            box-shadow: 0px 5px 15px rgba(0, 0, 0, 0.1);
            align-content: center;
        }

            .rating-wrapper .rating-label {
                text-align: center;
                font-weight: 700;
                display: block;
            }

            .rating-wrapper .ratingItemList {
                max-width: 310px;
                margin: auto;
                display: flex;
                justify-content: space-between;
                padding: 1em 0;
            }

        .tongdanhgia {
            position: relative;
            top: 194px;
            font-size: 30px;
        }

        .pgd-btn {
            padding: 18px 16px;
            border-radius: 26px;
            font-size: 20px;
        }

        .rating-wrapper img {
            width: 50px;
            margin-right: 7px;
        }

        .rating-wrapper input.rating {
            display: none;
        }

        .rating-wrapper label.rating {
            padding: 5px 3px;
            font-size: 42px;
            cursor: pointer;
        }

        .rating-wrapper label.rating:hover {
         /*filter: grayscale(0.8);
         transform: scale(1.1);
         transition: 100ms ease;*/
            filter: grayscale(1); /* Make the stars grayscale by default */
            opacity: 0.6; /* Set a lower opacity by default */
            transition: transform 0.7s, filter 0.7s, opacity 0.7s; /* Add smooth transitions */
        }

        .rating-wrapper input.rating:checked + label.rating {
            filter: grayscale(0);
            opacity: 1;
            transform: scale(1.1);
        }

        .rating-wrapper h6 {
            font-size: 10px;
        }

        .no-padding-left {
            padding-left: 15px;
            margin-top: 10px;
            padding-bottom: 5px;
        }

        .col-md-6.no-padding-right {
            padding-right: 15px;
            margin-top: 10px;
            padding-bottom: 5px;
        }

        .detail-container {
            display: flex;
            justify-content: center;
            text-align: center;
            padding: 28px;
            margin-top: 600px;
            margin-left: 2px;
            font-size: 15px;
            width: 100%;
        }

        .pgd-btn {
            padding: 18px 16px;
            border-radius: 26px;
        }

        #myBtn {
            margin-right: 5px;
            width: 162px;
        }

        #myBtn2 {
        }

        .flex-center {
            display: flex;
        }

        .modal-content {
            padding: 74px;
            width: 307px;
        }

        .modal-chart {
            top: 28px;
            left: -12px;
        }

        .modal-chart-body {
            width: 160px;
        }

        .display-banner h1 {
            width: 358px;
            display: flex;
            text-align: center;
            font-size: 20px;
            margin-top: 1px;
            top: -66px;
        }

        .camon-center-2 {
            min-width: 308px;
        }

        .display-inline-block {
            text-align: center;
        }

        .title-h1 {
            text-align: center;
            padding: 5px;
            color: #007BFF;
            display: inline-block;
            font-weight: bold;
            font-size: 26px;
            text-align: center;
            line-height: 1.5;
        }

        .title-phu {
            padding-left: 1em;
            font-size: 10px;
            padding-right: 2em;
            opacity: 0.8;
        }

        .danhgia-background-background {
            width: 100%;
        }
    }
